gtkmm: Gtk::ColorChooserDialog Class Reference

gtkmm 3.3.18

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::ColorChooserDialog Class Reference
Dialogs

This dialog is for choosing a color. More...

Inheritance diagram for Gtk::ColorChooserDialog:
[legend]

List of all members.

## Public Member Functions
virtual | ~ColorChooserDialog ()
GtkColorChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkColorChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| ColorChooserDialog ()
| ColorChooserDialog (const Glib::ustring& title)
| ColorChooserDialog (const Glib::ustring& title, Window& parent)
Glib::PropertyProxy< bool > | property_show_editor ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_show_editor () const
| Show editor.
## Related Functions
(Note that these are not member functions.)
Gtk::ColorChooserDialog* | wrap (GtkColorChooserDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This dialog is for choosing a color.

It implements the ColorChooser interface.

A ColorChooserDialog looks like this:

## Constructor & Destructor Documentation

virtual Gtk::ColorChooserDialog::~ColorChooserDialog | ( |  | ) | `[virtual]`

Gtk::ColorChooserDialog::ColorChooserDialog | ( |  | ) |

Gtk::ColorChooserDialog::ColorChooserDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

Gtk::ColorChooserDialog::ColorChooserDialog | ( | const Glib::ustring & | title,
|  | Window& | parent
| ) |  | `[explicit]`

## Member Function Documentation

GtkColorChooserDialog* Gtk::ColorChooserDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ColorChooser.

const GtkColorChooserDialog* Gtk::ColorChooserDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ColorChooser.

Glib::PropertyProxy< bool > Gtk::ColorChooserDialog::property_show_editor | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColorChooserDialog::property_show_editor | ( |  | ) | const

Show editor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::ColorChooserDialog* wrap | ( | GtkColorChooserDialog * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/colorchooserdialog.h